<%- include('./partials/header') %>
<%- include('./partials/file-start') %>
<%- include('./partials/menu') %>
<div class="toast" id="toast-login" style="position: absolute; top: 20px; right: 20px; display: none; ">
    <div class="toast-header">
        <i class="fas fa-key"></i>
        <strong class="mr-auto ml-1">Olda Vrátník</strong>
        <small class="ml-auto">Právě teď</small>
        <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="toast-body text-black-50">
        <strong class="text-darker">Gratuluji!</strong>
        Přihlášení proběhlo úspěšně.
    </div>
</div>
<div class="toast" id="toast-register" style="position: absolute; top: 20px; right: 20px; display: none; ">
    <div class="toast-header">
        <i class="fas fa-key"></i>
        <strong class="mr-auto ml-1">Olda Vrátník</strong>
        <small class="ml-auto">Právě teď</small>
        <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="toast-body text-black-50">
        <strong class="text-darker">Gratuluji!</strong>
        Registrace proběhla úspěšně.
    </div>
</div>
<main role="main" class="inner cover mt-5">
    <h1 class="cover-heading"><%= title %></h1>
    <span class="underline"></span>
    <div class="mt-5" id="results"></div>
    <p>Mrkni do konzole :)</p>
    <h2>ahoj adame</h2>
</main>

<%- include('./partials/scripts-file-end') %>
<script>
    $(document).ready(function () {
        API.team.list().done((result) => {
            console.log('Teams:')
            console.log(result)
        })
        
        API.category.list().done((result) => {
            console.log('Categories:')
            console.log(result)
        })
        
        API.result.list().done((result) => {
            console.log('Results:')
            console.log(result)
        })

        if (Cookies.get('toast-login') === 'true') {
            $('#toast-login')
                .show()
                .toast({
                    animation: true,
                    autohide: true,
                    delay: 3500
                })
                .toast('show')
            Cookies.set('toast-login', 'false')
        } else if (Cookies.get('toast-register') === 'true') {
            $('#toast-register')
                .show()
                .toast({
                    animation: true,
                    autohide: true,
                    delay: 3500
                })
                .toast('show')
            Cookies.set('toast-register', 'false')
        }
    })
</script>
<%- include('./partials/footer') %>
<%- include('./partials/file-end') %>
